<?php
/**
* Custom Hooks and their functions
*
* @package CleanWP WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function cleanwp_before_header() {
    do_action('cleanwp_before_header');
}

function cleanwp_after_header() {
    do_action('cleanwp_after_header');
}

function cleanwp_after_primary_menu() {
    do_action('cleanwp_after_primary_menu');
}

function cleanwp_before_main_content() {
    do_action('cleanwp_before_main_content');
}

function cleanwp_after_main_content() {
    do_action('cleanwp_after_main_content');
}

function cleanwp_before_sidebar() {
    do_action('cleanwp_before_sidebar');
}

function cleanwp_after_sidebar() {
    do_action('cleanwp_after_sidebar');
}

function cleanwp_before_single_post() {
    do_action('cleanwp_before_single_post');
}

function cleanwp_after_single_post_title() {
    do_action('cleanwp_after_single_post_title');
}

function cleanwp_after_single_post_content() {
    do_action('cleanwp_after_single_post_content');
}

function cleanwp_after_single_post() {
    do_action('cleanwp_after_single_post');
}

function cleanwp_before_single_page() {
    do_action('cleanwp_before_single_page');
}

function cleanwp_after_single_page_title() {
    do_action('cleanwp_after_single_page_title');
}

function cleanwp_after_single_page_content() {
    do_action('cleanwp_after_single_page_content');
}

function cleanwp_after_single_page() {
    do_action('cleanwp_after_single_page');
}

if ( !(cleanwp_get_option('enable_widgets_block_editor')) ) {
    // Disables the block editor from managing widgets in the Gutenberg plugin.
    add_filter( 'gutenberg_use_widgets_block_editor', '__return_false', 100 );

    // Disables the block editor from managing widgets.
    add_filter( 'use_widgets_block_editor', '__return_false' );
}

if ( ! function_exists( 'cleanwp_remove_theme_support' ) ) :
function cleanwp_remove_theme_support() {

    if ( cleanwp_get_option('disable_responsive_embeds') ) {
        // Remove responsive embedded content support.
        remove_theme_support( 'responsive-embeds' );
    }

}
endif;
add_action( 'after_setup_theme', 'cleanwp_remove_theme_support', 1000 );