<?php
/**
* The template for displaying the footer
*
* @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
*
* @package CleanWP WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/
?>

<div class="clear"></div>
</div>
</div>

<?php if ( is_active_sidebar( 'footer-1' ) || is_active_sidebar( 'footer-2' ) || is_active_sidebar( 'footer-3' ) ) : ?>
<div id="footer-widgets-container" class="clearfix">
    <div class="footer-widget-box footer-widget-box-1">
        <?php dynamic_sidebar( 'footer-1' ); ?>
    </div>

    <div class="footer-widget-box footer-widget-box-2">
        <?php dynamic_sidebar( 'footer-2' ); ?>
    </div>

    <div class="footer-widget-box footer-widget-box-3">
        <?php dynamic_sidebar( 'footer-3' ); ?>
    </div>
</div>
<div class="clear"></div>
<?php endif; ?>

<footer id="colophon" class="site-footer" itemscope="itemscope" itemtype="http://schema.org/WPFooter" role="contentinfo">
<div class="site-info">
<?php if ( cleanwp_get_option('footer_text') ) : ?>
  <?php echo esc_html(cleanwp_get_option('footer_text')); ?> | <a href="<?php echo esc_url( 'https://themesdna.com/' ); ?>"><?php /* translators: %s: Theme author. */ printf( esc_html__( 'Design by %s', 'cleanwp' ), 'ThemesDNA.com' ); ?></a>
<?php else : ?>
  <?php /* translators: %s: Year and site name. */ printf( esc_html__( 'Copyright &copy; %s', 'cleanwp' ), esc_html(date_i18n(__('Y','cleanwp'))) . ' ' . esc_html(get_bloginfo( 'name' )) ); ?> | <a href="<?php echo esc_url( 'https://themesdna.com/' ); ?>"><?php /* translators: %s: Theme author. */ printf( esc_html__( 'Design by %s', 'cleanwp' ), 'ThemesDNA.com' ); ?></a>
<?php endif; ?>
</div>
<div class='clear'></div>
</footer><!-- #colophon -->

<?php wp_footer(); ?>
</body>
</html>