<?php
/**
* Template part for displaying single posts.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
*
* @package CleanWP WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/
?>

<?php cleanwp_before_single_post(); ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <header class="entry-header">
        <?php the_title( sprintf( '<h1 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>
            <div class="entry-meta">
                    <?php cleanwp_posted_on(); ?>
            </div><!-- .entry-meta -->
    </header><!-- .entry-header -->

    <?php cleanwp_after_single_post_title(); ?>

    <div class="entry-content clearfix">
        <?php
        if ( has_post_thumbnail() ) {
            if ( !(cleanwp_get_option('hide_thumbnail')) ) {
                if ( !(cleanwp_get_option('hide_thumbnail_single')) ) {
                    if ( cleanwp_get_option('thumbnail_link') == 'no' ) {
                        if ( is_page_template( 'template-full-width-post.php' ) ) {
                            the_post_thumbnail('cleanwp-larger-image', array('class' => 'entry-featured-image entry-featured-image-block'));
                        } else {
                            the_post_thumbnail('cleanwp-large-image', array('class' => 'entry-featured-image entry-featured-image-block'));
                        }
                    } else {
                        if ( is_page_template( 'template-full-width-post.php' ) ) { ?>
                            <a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_post_thumbnail('cleanwp-larger-image', array('class' => 'entry-featured-image entry-featured-image-block')); ?></a>
                        <?php } else { ?>
                            <a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_post_thumbnail('cleanwp-large-image', array('class' => 'entry-featured-image entry-featured-image-block')); ?></a>
                        <?php }
                    }
                }
            }
        }

        the_content( sprintf(
            wp_kses(
                /* translators: %s: Name of current post. Only visible to screen readers */
                __( 'Continue reading<span class="cleanwp-sr-only"> "%s"</span> <span class="meta-nav">&rarr;</span>', 'cleanwp' ),
                array(
                    'span' => array(
                        'class' => array(),
                    ),
                )
            ),
            wp_kses_post( get_the_title() )
        ) );

        wp_link_pages( array(
         'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'cleanwp' ) . '</span>',
         'after'       => '</div>',
         'link_before' => '<span>',
         'link_after'  => '</span>',
         ) );
         ?>
    </div><!-- .entry-content -->

    <?php cleanwp_after_single_post_content(); ?>

    <footer class="entry-footer">
        <?php cleanwp_entry_footer(); ?>
    </footer><!-- .entry-footer -->

</article>

<?php cleanwp_after_single_post(); ?>